import * as i0 from '@angular/core';
import { ViewChild, Input, Component, EventEmitter, Output } from '@angular/core';

class IDIconBase {
    cdr;
    hostElement;
    title = "";
    colorpreset = -1;
    color = "";
    color2 = "";
    size = "m";
    width = "";
    height = "";
    rotate = "";
    inline = false;
    tabindex = null;
    icon;
    hasViewInitiated = false;
    constructor(cdr, hostElement) {
        this.cdr = cdr;
        this.hostElement = hostElement;
    }
    ngAfterViewInit() {
        this.hasViewInitiated = true;
        this.setupProperties();
    }
    ngOnChanges() {
        if (this.hasViewInitiated) {
            this.setupProperties();
        }
    }
    setupProperties() {
        const el = this.icon.nativeElement;
        if (this.title) {
            el.setAttribute("title", this.title);
        }
        if (this.colorpreset) {
            el.setAttribute("colorpreset", this.colorpreset);
            el.colorpreset = this.colorpreset;
        }
        if (this.size) {
            el.setAttribute("size", this.size);
        }
        if (this.color) {
            el.setAttribute("color", this.color);
        }
        if (this.color2) {
            el.setAttribute("color2", this.color2);
        }
        if (this.width) {
            el.setAttribute("width", this.width);
        }
        if (this.height) {
            el.setAttribute("height", this.height);
        }
        if (this.rotate) {
            el.setAttribute("rotate", this.rotate);
        }
        if (this.inline) {
            el.setAttribute("inline", this.inline);
        }
        if (this.tabindex !== null) {
            el.setAttribute("tabindex", this.tabindex);
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDIconBase, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDIconBase, selector: "ng-component", inputs: { title: "title", colorpreset: "colorpreset", color: "color", color2: "color2", size: "size", width: "width", height: "height", rotate: "rotate", inline: "inline", tabindex: "tabindex" }, host: { classAttribute: "ids-contains-icon" }, viewQueries: [{ propertyName: "icon", first: true, predicate: ["icon"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "", isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDIconBase, decorators: [{
            type: Component,
            args: [{
                    template: "",
                    host: { class: "ids-contains-icon" }
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }], propDecorators: { title: [{
                type: Input
            }], colorpreset: [{
                type: Input
            }], color: [{
                type: Input
            }], color2: [{
                type: Input
            }], size: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], rotate: [{
                type: Input
            }], inline: [{
                type: Input
            }], tabindex: [{
                type: Input
            }], icon: [{
                type: ViewChild,
                args: ["icon"]
            }] } });

class IDFormBase {
    invalid = false;
    srof = "av";
    light = false;
    novalidation = false;
    onValid = new EventEmitter();
    onInvalid = new EventEmitter();
    invalidChange = new EventEmitter();
    emitOnValid(event) {
        this.invalid = false;
        this.onValid.emit(event);
        this.invalidChange.emit(this.invalid);
    }
    emitOnInvalid(event) {
        this.invalid = true;
        this.onInvalid.emit(event);
        this.invalidChange.emit(this.invalid);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDFormBase, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDFormBase, selector: "ng-component", inputs: { invalid: "invalid", srof: "srof", light: "light", novalidation: "novalidation" }, outputs: { onValid: "onValid", onInvalid: "onInvalid", invalidChange: "invalidChange" }, ngImport: i0, template: '', isInline: true });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDFormBase, decorators: [{
            type: Component,
            args: [{ template: '' }]
        }], propDecorators: { invalid: [{
                type: Input
            }], srof: [{
                type: Input
            }], light: [{
                type: Input
            }], novalidation: [{
                type: Input
            }], onValid: [{
                type: Output
            }], onInvalid: [{
                type: Output
            }], invalidChange: [{
                type: Output
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDFormBase, IDIconBase };
//# sourceMappingURL=inera-ids-angular-common.mjs.map
