import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, CUSTOM_ELEMENTS_SCHEMA, ViewEncapsulation, Component, EventEmitter, Output, ContentChild, Input } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/dropdown/register';

class IDDropdownContentComponent {
    constructor() { }
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDropdownContentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDDropdownContentComponent, isStandalone: true, selector: "id-dropdown-content", viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: ` <ng-template>
    <ng-content></ng-content>
  </ng-template>`, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDropdownContentComponent, decorators: [{
            type: Component,
            args: [{
                    selector: "id-dropdown-content",
                    template: ` <ng-template>
    <ng-content></ng-content>
  </ng-template>`,
                    encapsulation: ViewEncapsulation.None,
                    standalone: true,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    imports: [CommonModule]
                }]
        }], ctorParameters: () => [], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDDropdownComponent {
    constructor() { }
    sblock = false;
    mblock = false;
    persistent = false;
    expanded = false;
    position = "right";
    dropdownContent;
    onClosed = new EventEmitter();
    onOpen = new EventEmitter();
    showChange = new EventEmitter();
    hasClosed(event) {
        this.expanded = false;
        this.onClosed.emit(event);
        this.showChange.emit(this.expanded);
    }
    hasOpened(event) {
        this.expanded = true;
        this.onOpen.emit(event);
        this.showChange.emit(this.expanded);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDropdownComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDDropdownComponent, isStandalone: true, selector: "id-dropdown", inputs: { sblock: "sblock", mblock: "mblock", persistent: "persistent", expanded: "expanded", position: "position" }, outputs: { onClosed: "onClosed", onOpen: "onOpen", showChange: "showChange" }, queries: [{ propertyName: "dropdownContent", first: true, predicate: IDDropdownContentComponent, descendants: true }], ngImport: i0, template: "<ids-dropdown [attr.persistent]=\"persistent ? true : null\" [attr.position]=\"position\"\n  [expanded]=\"expanded ? 'true' : null\" [sblock]=\"sblock\" [mblock]=\"mblock\" (closed)=\"hasClosed($event)\"\n  (open)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n  <ids-dropdown-content *ngIf=\"dropdownContent\">\n    <ng-container *ngTemplateOutlet=\"dropdownContent.template\"></ng-container>\n  </ids-dropdown-content>\n</ids-dropdown>", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-dropdown", encapsulation: ViewEncapsulation.None, standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ids-dropdown [attr.persistent]=\"persistent ? true : null\" [attr.position]=\"position\"\n  [expanded]=\"expanded ? 'true' : null\" [sblock]=\"sblock\" [mblock]=\"mblock\" (closed)=\"hasClosed($event)\"\n  (open)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n  <ids-dropdown-content *ngIf=\"dropdownContent\">\n    <ng-container *ngTemplateOutlet=\"dropdownContent.template\"></ng-container>\n  </ids-dropdown-content>\n</ids-dropdown>" }]
        }], ctorParameters: () => [], propDecorators: { sblock: [{
                type: Input
            }], mblock: [{
                type: Input
            }], persistent: [{
                type: Input
            }], expanded: [{
                type: Input
            }], position: [{
                type: Input
            }], dropdownContent: [{
                type: ContentChild,
                args: [IDDropdownContentComponent]
            }], onClosed: [{
                type: Output
            }], onOpen: [{
                type: Output
            }], showChange: [{
                type: Output
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDDropdownComponent, IDDropdownContentComponent };
//# sourceMappingURL=inera-ids-angular-components-dropdown.mjs.map
