import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, Component, EventEmitter, Output, ContentChildren, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/tabs/register';

class IDTabPanelComponent {
    nofocus = undefined;
    compact = undefined;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabPanelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDTabPanelComponent, selector: "id-tab-panel", inputs: { nofocus: "nofocus", compact: "compact" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabPanelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-tab-panel', template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { nofocus: [{
                type: Input
            }], compact: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDTabComponent {
    elementRef;
    label = "";
    selected = false;
    template;
    constructor(elementRef) {
        this.elementRef = elementRef;
        elementRef.nativeElement.setAttribute("slot", "tab");
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDTabComponent, selector: "id-tab", inputs: { label: "label", selected: "selected" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-tab", template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { label: [{
                type: Input
            }], selected: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDTabsComponent {
    responsive = 'm';
    unresponsive = false;
    compact = false;
    selectlabel = '';
    tabComponents;
    tabPanelComponents;
    onTabChange = new EventEmitter();
    tabs;
    tabPanels;
    showContent = false;
    ngAfterContentInit() {
        setTimeout(() => {
            this.tabs = this.tabComponents.toArray();
            this.tabPanels = this.tabPanelComponents.toArray();
            this.showContent = true;
        }, 0);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDTabsComponent, selector: "id-tabs", inputs: { responsive: "responsive", unresponsive: "unresponsive", compact: "compact", selectlabel: "selectlabel" }, outputs: { onTabChange: "onTabChange" }, queries: [{ propertyName: "tabComponents", predicate: IDTabComponent }, { propertyName: "tabPanelComponents", predicate: IDTabPanelComponent }], ngImport: i0, template: "<ids-tabs\n  [unresponsive]=\"unresponsive ? true : null\"\n  [compact]=\"compact ? true : null\"\n  [responsive]=\"responsive\"\n  [selectlabel]=\"selectlabel\"\n  (tabChange)=\"onTabChange.emit($event)\"\n  *ngIf=\"showContent && tabs && tabPanels\">\n  <ids-tab\n    *ngFor=\"let tab of tabs\"\n    [label]=\"tab.label\"\n    slot=\"tab\"\n    [attr.selected]=\"tab.selected ? '' : null\">\n    <ng-container *ngTemplateOutlet=\"tab.template\"></ng-container>\n  </ids-tab>\n  <ng-content></ng-content>\n  <ids-tab-panel\n    *ngFor=\"let tabpanel of tabPanels\"\n    [nofocus]=\"tabpanel.nofocus ? true : null\"\n    [compact]=\"tabpanel.compact ? true : null\">\n    <ng-container *ngTemplateOutlet=\"tabpanel.template\"></ng-container>\n  </ids-tab-panel>\n</ids-tabs>\n", dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-tabs', template: "<ids-tabs\n  [unresponsive]=\"unresponsive ? true : null\"\n  [compact]=\"compact ? true : null\"\n  [responsive]=\"responsive\"\n  [selectlabel]=\"selectlabel\"\n  (tabChange)=\"onTabChange.emit($event)\"\n  *ngIf=\"showContent && tabs && tabPanels\">\n  <ids-tab\n    *ngFor=\"let tab of tabs\"\n    [label]=\"tab.label\"\n    slot=\"tab\"\n    [attr.selected]=\"tab.selected ? '' : null\">\n    <ng-container *ngTemplateOutlet=\"tab.template\"></ng-container>\n  </ids-tab>\n  <ng-content></ng-content>\n  <ids-tab-panel\n    *ngFor=\"let tabpanel of tabPanels\"\n    [nofocus]=\"tabpanel.nofocus ? true : null\"\n    [compact]=\"tabpanel.compact ? true : null\">\n    <ng-container *ngTemplateOutlet=\"tabpanel.template\"></ng-container>\n  </ids-tab-panel>\n</ids-tabs>\n" }]
        }], propDecorators: { responsive: [{
                type: Input
            }], unresponsive: [{
                type: Input
            }], compact: [{
                type: Input
            }], selectlabel: [{
                type: Input
            }], tabComponents: [{
                type: ContentChildren,
                args: [IDTabComponent]
            }], tabPanelComponents: [{
                type: ContentChildren,
                args: [IDTabPanelComponent]
            }], onTabChange: [{
                type: Output
            }] } });

class IDTabsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDTabsModule, declarations: [IDTabsComponent,
            IDTabComponent,
            IDTabPanelComponent], imports: [CommonModule], exports: [IDTabsComponent,
            IDTabComponent,
            IDTabPanelComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDTabsComponent,
                        IDTabComponent,
                        IDTabPanelComponent
                    ],
                    imports: [CommonModule],
                    exports: [
                        IDTabsComponent,
                        IDTabComponent,
                        IDTabPanelComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDTabComponent, IDTabPanelComponent, IDTabsComponent, IDTabsModule };
//# sourceMappingURL=inera-ids-angular-components-tabs.mjs.map
